<?php
include_once INFUSIONS."arcade/inc/function.inc.php";
//if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

$version = '5.0.7';
//reset this for fusion. Use of RETURN_SELF is not valid in other systems
//however it has been deemed as required for some server systems



//the following system is used as a global configuration table.
//It is required scriptwide and should not be altered
//Modules can use the same table by simply useing the following format to call values
//$this_info = get_single("this_table","value","WHERE name='this_name'");
function arc_get_single($table, $key, $WHERE) 
{
        global $db_prefix, $locale;

        $sql = "SELECT $key FROM ".$db_prefix.$table." ".$WHERE;

        if ($result = dbquery($sql)) {
        if (dbrows($result)) {
                $output = dbarraynum($result);
                return $output[0];

}
 
else 
{
return "";
}

   }

}



$frontcat = arc_get_single("inf_settings","value","WHERE name='arcade_frontcat'");
$perpage = arc_get_single("inf_settings","value","WHERE name='arcade_perpage'");
$new_games = arc_get_single("inf_settings","value","WHERE name='arcade_new_games'");
$search_results = arc_get_single("inf_settings","value","WHERE name='arcade_search_results'");
$allow_comments = arc_get_single("inf_settings","value","WHERE name='arcade_allow_comments'");
$allow_vote = arc_get_single("inf_settings","value","WHERE name='arcade_allow_vote'");
$use_popup = arc_get_single("inf_settings","value","WHERE name='arcade_use_popup'");
$arcade_usergold = arc_get_single("inf_settings","value","WHERE name='arcade_usergold'");
$arcade_paytoplay = arc_get_single("inf_settings","value","WHERE name='arcade_paytoplay'");

//non member play
$arcade_members_only = arc_get_single("inf_settings","value","WHERE name='arcade_members_only'");
$arcade_group =arc_get_single("inf_settings","value","WHERE name='arcade_group'");
$arcade_timer =arc_get_single("inf_settings","value","WHERE name='arcade_timer'");
//top ten display
$arcade_t10_latest = arc_get_single("inf_settings","value","WHERE name='arcade_t10_latest'");
$arcade_t10_hiscores = arc_get_single("inf_settings","value","WHERE name='arcade_t10_hiscores'");
$arcade_t10_popular = arc_get_single("inf_settings","value","WHERE name='arcade_t10_popular'");
$arcade_t10_oldest = arc_get_single("inf_settings","value","WHERE name='arcade_t10_oldest'");
$arcade_t10_lowscore = arc_get_single("inf_settings","value","WHERE name='arcade_t10_lowscore'");
$arcade_t10_nonpopular = arc_get_single("inf_settings","value","WHERE name='arcade_t10_nonpopular'");
//autoban
$autoban = arc_get_single("inf_settings","value","WHERE name='arcade_autoban'");
$admin_cheat_pm = arc_get_single("inf_settings","value","WHERE name='admin_cheat_pm'");
$hiscore_pm= arc_get_single("inf_settings","value","WHERE name='arcade_hiscore_pm'");
$cheatwarn = arc_get_single("inf_settings","value","WHERE name='arcade_cheatwarn'");
$instantban = arc_get_single("inf_settings","value","WHERE name='arcade_instantban'");
$cheatwarning = arc_get_single("inf_settings","value","WHERE name='arcade_cheatwarning'");

//competition
$arcade_comp_expires = arc_get_single("inf_settings","value","WHERE name='arcade_comp_expires'");
$arcade_comp_game_name = arc_get_single("inf_settings","value","WHERE name='arcade_comp_game_name'");
$arcade_comp_game_id = arc_get_single("inf_settings","value","WHERE name='arcade_comp_game_id'");
$arcade_comp_score = arc_get_single("inf_settings","value","WHERE name='arcade_comp_score'");
$arcade_comp_winner = arc_get_single("inf_settings","value","WHERE name='arcade_comp_winner'");
$arcade_comp_count = arc_get_single("inf_settings","value","WHERE name='arcade_comp_count'");
$arcade_comp_single = arc_get_single("inf_settings","value","WHERE name='arcade_comp_single'");
$arcade_comp_player_list = arc_get_single("inf_settings","value","WHERE name='arcade_comp_player_list'");
$arcade_comp_sponser = arc_get_single("inf_settings","value","WHERE name='arcade_comp_sponser'");
$descrip = arc_get_single("inf_settings","value","WHERE name='arcade_comp_info'");
$xdescrip = parseubb($descrip);
$arcade_comp_info = nl2br($xdescrip);

/*
global $db_prefix, $locale, $frontcat, $perpage, $new_games, $search_results, $adstext, $allow_comments, $allow_vote, $use_popup, $arcade_usergold, $arcade_paytoplay, $arcade_members_only, $autoban, $admin_cheat_pm, $pmsys, $cheatwarn, $instantban, $cheatwarning, $arcade_comp_expires, $arcade_comp_game_name, $arcade_comp_game_id, $arcade_comp_score, $arcade_comp_winner, $arcade_comp_count, $arcade_comp_single, $arcade_comp_player_list, $arcade_comp_sponser, $descrip, $xdescrip, $arcade_comp_info;
*/


//create the menu
function menu()
{
global $locale,$arcade_group;
	echo '
	<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr align="center">
	<td>&nbsp;</td>
	<td><a href="'.ARCADE_DIR.'index.php"><b>'.$locale['ARC012'].'</b></a></td>
	<td>&nbsp;</td>
	<td><a href="'.ARCADE_DIR.'ladder.php"><b>'.$locale['ARC017'].'</b></a></td>
	<td>&nbsp;</td>
	<td><a href="'.ARCADE_DIR.'top-ten.php"><b>'.$locale['ARC018'].'</b></a></td>
	<td>&nbsp;</td>
	<td><a href="'.ARCADE_DIR.'search.php"><b>'.$locale['ARC232'].'</b></a></td>
	<td>&nbsp;</td>';
	if (checkgroup($arcade_group)||iADMIN)
	{
	echo '	<td>&nbsp;</td>
	<td><a href="'.ARCADE_DIR.'private_collection.php"><b>'.$locale['ARC153'].'</b></a></td>
	<td>&nbsp;</td>';
	}
	echo '</tr>
	</table>';
}

function getparent($parentid,$title) 
{
global $db_prefix;
	$result=dbquery("select * from ".$db_prefix."arcade_cats where cid=$parentid");
	$data = dbarray($result);
	//mysql_free_result($result);
	if ($data['title']!="") $title=$data['title']." &raquo; ".$title;
	if ($data['parentid']!=0) 
	{
		$title=getparent($data['parentid'],$title);
	}
    return $title;
}



//get the link to the parent category
function getparentlink($parentid,$title,$cid) 
{
global $db_prefix, $locale;
		$data=dbarray(dbquery("select cid, title, parentid from ".$db_prefix."arcade_cats where cid=$parentid"));
	
		if ($data['title']!="") 
		{
		$title='<a href="'.ARCADE_DIR.'index.php?op=view_game_list&cid='.$data['cid'].'"><b>'.$data['title'].'</b></a> / <a href="'.ARCADE_DIR.'index.php?op=view_game_list&cid='.$cid.'"><b>'.$title.'</b></a>';
		}

		if ($data['parentid']!=0) 
		{
			$title=getparentlink($data['parentid'],$title,$cid);
		}

		if ($data['parentid']==0) 
		{
			$title='<a href="'.ARCADE_DIR.'index.php?op=view_game_list&cid='.$cid.'"><b>'.$title.'</b></a>';
		}

	return $title;
}





//display the uploaded flash files (this is directoy view not database)
	function buildFlashBox($size,$multi,$name,$sel="")
	{

	echo '<SELECT size="'.$size.'" '.$multi.'  NAME="'.$name.'" class="textbox">
	<option value="">-----';

		$handle=opendir(ARCADE_FLASH);
			while (false!==($file = readdir($handle))) 
			{
			$filec = strrchr($file, '.');
				if ($filec == '.swf') 
				{
					if($sel == $file)
					{
						echo '<OPTION VALUE="'.$file.'" SELECTED>'.$file.'</OPTION>';
					}

					else
					{
						echo '<OPTION VALUE="'.$file.'">'.$file.'</OPTION>';
					}

				}

			}

		closedir($handle);

	echo '</select>';

	}



//display the uploaded icon files (this is directoy view not database)
	function buildImageBox($name,$sel="")
	{
	echo '<SELECT class="textbox" NAME="'.$name.'">
	<option value="">-----';

	$handle=opendir(ARCADE_ICONS);
		while (false!==($file = readdir($handle))) 
		{
		$filec = strrchr($file, '.');
			if ($filec == '.gif'||$filec == '.jpg')
			{
				if($sel == $file)
				{
					echo '<OPTION VALUE="'.$file.'" SELECTED>'.$file.'</OPTION>';
				}

				else
				{
					echo '<OPTION VALUE="'.$file.'">'.$file.'</OPTION>';
				}

			}

		}

	closedir($handle);

	echo '</select>';

	}




//display the category icon files (this is directoy view not database)
	 function buildImageBox_c($name,$sel="")
	 {
	echo '<SELECT class="textbox" NAME="'.$name.'">
	<option value="">-----';
	
	$handle=opendir(ARCADE_CATS);
		while (false!==($file = readdir($handle))) 
		{
		$filec = strrchr($file, '.');
			if ($file != "." && $file != ".." && ($filec == '.gif'||$filec == '.jpg'))
			{
				if($sel == $file)
				{
				echo '<OPTION VALUE="'.$file.'" SELECTED>'.$file.'</OPTION>';
				}

				else
				{
				echo '<OPTION VALUE="'.$file.'">'.$file.'</OPTION>';
				}

			}

		}

	closedir($handle);
	
	echo '</select>';
	
	}




//bbcode

function arcade_bbcode($textarea)
{
echo "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('".$textarea."', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('".$textarea."', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('".$textarea."', '[u]', '[/u]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('".$textarea."', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('".$textarea."', '[small]', '[/small]');\">";
}


function arcade_bbcodecolor($textarea)
{
echo "Text Colour:<select name='bbcolor' class='textbox' style='width:90px;' onChange=\"addText('".$textarea."', '[color=' + this.options[this.selectedIndex].value + ']', '[/color]');this.selectedIndex=0;\">
<option value=''>Default</option>
<option value='maroon' style='color:maroon;'>Maroon</option>
<option value='red' style='color:red;'>Red</option>
<option value='orange' style='color:orange;'>Orange</option>
<option value='brown' style='color:brown;'>Brown</option>
<option value='yellow' style='color:yellow;'>Yellow</option>
<option value='green' style='color:green;'>Green</option>
<option value='lime' style='color:lime;'>Lime</option>
<option value='olive' style='color:olive;'>Olive</option>
<option value='cyan' style='color:cyan;'>Cyan</option>
<option value='blue' style='color:blue;'>Blue</option>
<option value='navy' style='color:navy;'>Navy Blue</option>
<option value='purple' style='color:purple;'>Purple</option>
<option value='violet' style='color:violet;'>Violet</option>
<option value='black' style='color:black;'>Black</option>
<option value='gray' style='color:gray;'>Gray</option>
<option value='silver' style='color:silver;'>Silver</option>
<option value='white' style='color:white;'>White</option>
</select>";
}
	

Function arcade_redirect($where,$time) 
{
		echo "<META CONTENT=\"$time; URL=$where\" HTTP-EQUIV=\"REFRESH\">";
}


 function center_panel()
 {
 global $db_prefix, $locale, $frontcat, $perpage, $new_games, $search_results, $adstext, $allow_comments, $allow_vote, $use_popup, $arcade_usergold, $arcade_paytoplay, $arcade_members_only, $autoban, $admin_cheat_pm, $pmsys, $cheatwarn, $instantban, $cheatwarning, $arcade_comp_expires, $arcade_comp_game_name, $arcade_comp_game_id, $arcade_comp_score, $arcade_comp_winner, $arcade_comp_count, $arcade_comp_single, $arcade_comp_player_list, $arcade_comp_sponser, $descrip, $xdescrip, $arcade_comp_info;
echo
 '<table width="100%" cellpadding="0" cellspacing="2" border="0" align="center"><tr><td width="33%">';
$query1=dbquery("select * FROM ".$db_prefix."arcade_games WHERE status='1' AND played > '0' ORDER BY played DESC limit 1");
$num_rows1 = dbrows($query1);
if ($num_rows1 > 0)
{
opentable($locale['ARC903']);
while($most_played=dbarray($query1)){
if ($most_played['hiscore']=='0'){$most_played['hiscore']=$locale['ARC904'];}
if ($most_played['played']=='0'){$most_played['hi_player']=$locale['ARC905'];}
echo '<table cellspacing="0" cellpadding="0" border="0"><tr><td><a href="'.ARCADE_DIR.'games.php?game_id='.$most_played['lid'].'"><img width="50" height="50" hspace="5" vspace="5" src="'.img_check(ARCADE_ICONS,$most_played['icon']).'" alt="'.$locale['ARC907'].' '.$most_played['title'].'" border="0"></a></td>
<td><strong>'.$most_played['title'].'</strong><br><li>'.$most_played['hiscore'].'</li><li>'.$most_played['played'].'</li></td></tr></table>';
}
closetable();
}
else{}
echo '</td>	<td width="33%">';
$query2=dbquery("select * FROM ".$db_prefix."arcade_games WHERE status='1' ORDER BY lid DESC limit 1");
$num_rows2 = dbrows($query2);
if ($num_rows2 > 0)
{
opentable($locale['ARC906']);
while($latest=dbarray($query2))	
{
if ($latest['hiscore']=='0')
{
$latest['hiscore']=$locale['ARC904'];
}
if ($latest['hi_player']=='0')
{
$latest['hi_player']=$locale['ARC907'];
}
echo '<table cellspacing="0" cellpadding="0" border="0"><tr><td><a href="'.ARCADE_DIR.'games.php?game_id='.$latest['lid'].'"><img width="50" height="50" hspace="5" vspace="5" src="'.img_check(ARCADE_ICONS,$latest['icon']).'" alt="'.$locale['ARC907'].' '.$latest['title'].'" border="0"></a></td><td><strong>'.$latest['title'].'</strong><br><li>'.$latest['hiscore'].'</li><li>'.$latest['hi_player'].'</li></td></tr></table>';	
}
closetable();
}
else{}
echo '</td>	<td width="33%">';
$result = dbquery ("SELECT * FROM ".$db_prefix."arcade_games WHERE status='1'");
$num_rows = dbrows($result);if ($num_rows > 0)
{
opentable($locale['ARC908']);
srand((double)microtime()*1000000);
$random = 1;
if ($num_rows > 1)
{
$random = rand(1,$num_rows);
}
$havegame = 0;while ($havegame != $random)
{
$myrow = dbarray($result);
if (is_array($myrow))
{
$havegame = $havegame + 1;
}
}
if ($myrow['hiscore']=='0'){$myrow['hiscore']=$locale['ARC904'];}
if ($myrow['hi_player']=='0'){$myrow['hi_player']=$locale['ARC907'];}
echo '<table cellspacing="0" cellpadding="0" border="0"><tr><td><a href="'.ARCADE_DIR.'games.php?game_id='.$myrow['lid'].'"><img hspace="5" vspace="5" src="'.img_check(ARCADE_ICONS,$myrow['icon']).'" alt="'.$myrow['title'].'" width="50" height="50" border="0"></a><br/></td><td><strong>'.$myrow['title'].'</strong><br><li>'.$myrow['hiscore'].'</li><li>'.$myrow['hi_player'].'</li></td></tr></table><div align="center"></div>';
closetable();
}
else {}
echo '</td></tr></table>';}













function comp_panel()
{
global $db_prefix, $locale, $frontcat, $perpage, $new_games, $search_results, $adstext, $allow_comments, $allow_vote, $use_popup, $arcade_usergold, $arcade_paytoplay, $arcade_members_only, $autoban, $admin_cheat_pm, $pmsys, $cheatwarn, $instantban, $cheatwarning, $arcade_comp_expires, $arcade_comp_game_name, $arcade_comp_game_id, $arcade_comp_score, $arcade_comp_winner, $arcade_comp_count, $arcade_comp_single, $arcade_comp_player_list, $arcade_comp_sponser, $descrip, $xdescrip, $arcade_comp_info;

echo '<table width="100%" cellpadding="0" cellspacing="2" border="0" align="center"><tr><td width="100%">';
opentable($locale['ARC909']);
$curtime = time();

if ($arcade_comp_expires >= $curtime AND $arcade_comp_game_name!='')
{
$compgame = dbarray(dbquery ("SELECT * FROM ".$db_prefix."arcade_games WHERE lid=$arcade_comp_game_id"));
if ($arcade_comp_score==''){$arcade_comp_score=$locale['ARC910'];}
if ($arcade_comp_winner==''){$arcade_comp_winner=$locale['ARC911'];}
if ($arcade_comp_count==''){$arcade_comp_count='0';}
echo '<table align="center" width="100%"><tr><td><a href="'.ARCADE_DIR.'games.php?game_id='.$arcade_comp_game_id.'"><img hspace="5" vspace="5" src="'.img_check(ARCADE_ICONS,$compgame['icon']).'" alt="'.$compgame['title'].'" width="50" height="50" border="0"></a></td><td><div align="center" class="small"><strong><a href="'.ARCADE_DIR.'games.php?game_id='.$arcade_comp_game_id.'"><h1>'.$arcade_comp_game_name.'</h1></a></strong><br><p>'.$arcade_comp_info.'</p></div>
</td><td><a href="'.ARCADE_DIR.'games.php?game_id='.$arcade_comp_game_id.'"><img hspace="5" vspace="5" src="'.img_check(ARCADE_ICONS,$compgame['icon']).'" alt="'.$compgame['title'].'" width="50" height="50" border="0"></a></td></tr><tr><td colspan="3" align="center" class="tbl2"><div class="small"><strong>'.$locale['ARC912'].':</strong> '.$arcade_comp_score.' - 
<strong>'.$locale['ARC913'].':</strong> '.$arcade_comp_winner.' - <strong>'.$locale['ARC914'].':</strong> '.$arcade_comp_count.' - <strong>'.$locale['ARC915'].':</strong> '.showdate("forumdate", $arcade_comp_expires).'</div></td></tr></table>';
}
else
{
if ($arcade_comp_expires !='')
{
echo '<div align="center" class="small">'.$locale['ARC916'].' '.showdate("forumdate", $arcade_comp_expires).'</div><table align="center" width="100%"><tr><td align="center"><div class="small"><strong>'.$locale['ARC912'].':</strong> '.$arcade_comp_score.' - <strong>'.$locale['ARC913'].':</strong> '.$arcade_comp_winner.' - 
<strong>'.$locale['ARC914'].':</strong> '.$arcade_comp_count.' - <strong>'.$locale['ARC915'].':</strong> '.showdate("forumdate", $arcade_comp_expires).'</div></td></tr></table>';
}
else
{
echo '<div align="center" class="small">'.$locale['ARC917'].'</div>';
}
}
closetable();
echo
 '</td></tr></table>';
 }

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 //displays current comments per game
 function show_arcade_comments($ctype,$cdb,$ccol,$cid,$clink)
 {
 global $settings, $userdata, $db_prefix, $locale;
 include LOCALE.LOCALESET."comments.php";
 	opentable($locale['c100']);
	$result = dbquery(
		"SELECT tcm.*,user_name FROM ".DB_PREFIX."comments tcm
		LEFT JOIN ".DB_PREFIX."users tcu ON tcm.comment_name=tcu.user_id
		WHERE comment_item_id='$cid' AND comment_type='$ctype'
		ORDER BY comment_datestamp ASC"
	);
	if (dbrows($result) != 0) 
	{
		$i = 0;
		echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
		while ($data = dbarray($result)) 
		{
			echo "<tr>\n<td class='".($i% 2==0?"tbl1":"tbl2")."'><span class='comment-name'>\n";
			if ($data['user_name']) 
			{
				echo "<a href='".BASEDIR."profile.php?lookup=".$data['comment_name']."'>".$data['user_name']."</a>";
			} 
			else 
			{
				echo $data['comment_name'];
			}
			if ($data['comment_smileys'] == "1") 
			{
				$comment_message = parsesmileys($data['comment_message']);
			} 
			else 
			{
				$comment_message = $data['comment_message'];
			}
			$comment_message = nl2br(parseubb($comment_message));
			echo "</span>\n<span class='small'>".$locale['041'].showdate("longdate", $data['comment_datestamp'])."</span><br>\n";
			echo $comment_message."</td>\n</tr>\n";
			$i++;
		}
		
		
		
		if (checkrights("C")) 
		{
		echo "<tr>\n<td align='right' class='".($i% 2==0?"tbl1":"tbl2")."'><a href='comments.php?game_id=$cid'>$locale[ARC238]</a><br><a href='".ADMIN."comments.php?ctype=$ctype&cid=$cid'>".$locale['c106']."</a></td>\n</tr>\n";
		}
		
		echo "</table>\n";
	} 
	elseif ($settings['guestposts'] == "1")
		{
		echo "<tr>\n<td align='right' class='".($i% 2==0?"tbl1":"tbl2")."'><a href='comments.php?game_id=$cid'>$locale[ARC238]</a></td>\n</tr>\n";
		}
		else 
		{
		echo $locale['c101']."\n";
		if ($settings['guestposts'] == "1"||iMEMBER)
		{
		echo "<div align='right'><a href='comments.php?game_id=$cid'>$locale[ARC238]</a></div>\n";
		}
	}
	closetable();
 }

/*		*/


 function show_arcade_ratings($rating_type,$rating_item_id,$rating_link)
 {
 global $locale, $settings, $userdata;
 include LOCALE.LOCALESET."ratings.php";

	$ratings=array(5=> $locale['r120'], 4=> $locale['r121'], 3=> $locale['r122'], 2=> $locale['r123'], 1=> $locale['r124']);
	
	//if ($settings['rating_system']=="1") 
	//{
		tablebreak();
 		opentable($locale['r100']);
		
		$d_rating=dbarray(dbquery("SELECT rating_vote,rating_datestamp FROM ".DB_PREFIX."ratings WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' AND rating_user='".isset($userdata['user_id'])."'"));
		if (!iMEMBER) 
		{
			echo "<div align='center'>".$locale['r104']."</div>\n";
		} 
		elseif ($d_rating['rating_vote']>0) 
		{
			echo $locale['ARC239'];
		}
		else
		{
			echo "<br><a href='ratings.php?game_id=$rating_item_id'>Place Your Vote</a>\n";
		}
		
		echo "<hr>";
		$tot_votes = dbresult(dbquery("SELECT COUNT(rating_item_id) FROM ".DB_PREFIX."ratings WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."'"),0);
		if($tot_votes)
		{
			echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td>
<table align='center' cellpadding='0' cellspacing='0'>\n";
			foreach($ratings as $rating=>$rating_info) 
			{
				$num_votes = dbresult(dbquery("SELECT COUNT(rating_item_id) FROM ".DB_PREFIX."ratings WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' AND rating_vote='".$rating."'"),0);
				$pct_rating = number_format(100 / $tot_votes * $num_votes);
				if ($num_votes == 0) 
				{
					$votecount = "[".$locale['r108']."]";
				} 
				elseif ($num_votes == 1) 
				{
					$votecount = "[1 ".$locale['r109']."]";
				} 
				else 
				{
					$votecount = "[".$num_votes." ".$locale['r110']."]";
				}
				$class = ($rating % 2==0?"tbl1":"tbl2");
				echo "<tr>
<td class='$class'>$rating_info</td>
<td width='250' class='$class'><img src='".THEME."images/pollbar.gif' height='12' width='".$pct_rating."%' class='poll'></td>
<td class='$class'>".$pct_rating."%</td>
<td class='$class'>$votecount</td>
</tr>\n";
			}
			echo "</td>\n</table>\n</td>\n</tr>\n</table>";
		}
		else
		{
			echo "<div align='center'>".$locale['r101']."</div>\n";
		}
		closetable();
	//}
 }

 
 
 
 
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

function RemoveExtension($strName)
{
$ext = strrchr($strName, '.');

if($ext !== false)
{
$strName = substr($strName, 0, -strlen($ext));
}
return $strName;
}


 function ArcadeBackButton($num)
 {
 global $locale;
 echo '<form name="BackButton"><input class="button" type="Button" value="'.$locale['ARC348'].'" onClick="history.back('.$num.')"></form>';
 }
 
 function table_exists($table,$db) {
$tables = mysql_list_tables($db);
while (list($temp) = mysql_fetch_array($tables)) {
  if($temp == $table) {
  return TRUE;
  }
}
return FALSE;
}
?>